//
// Author:
//   Patrick Cernko <errror@ps.uni-sb.de>
//
// Copyright:
//   Patrick Cernko, 2004
//
// Last Change:
//   $Date: 2004/01/21 17:51:22 $ by $Author: errror $
//   $Revision: 1.5 $
//
// Based on AliceLanguageLayer.hh from alice-on-seam
// Author:
//   Leif Kornstaedt <kornstae@ps.uni-sb.de>
//
// Copyright:
//   Leif Kornstaedt, 2002-2003
//

#ifndef __AE__AE_LANGUAGE_LAYER_HH__
#define __AE__AE_LANGUAGE_LAYER_HH__

#if defined(INTERFACE)
#pragma interface "AELanguageLayer.hh"
#endif

#include "Base.hh"

class AEDll AELanguageLayer {
public:
  static word cmdAE;      ///! the arithmetic expression given on the command line
  static u_int verbosity; ///! the level of verbosity given on the command line

  /**
   * static initializer of our language layer:
   * initialized the static members of the LL
   */
  static void Init(int argc, const char* argv[]);
  /**
   * a static method which returns
   * a correctly typed pointer to our command line expression
   */
  static String* GetCmdAE();
};

#endif
